<?xml version="1.0"?>

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:dyn="http://www.exslt.org/dyn"
  extension-element-prefixes="dyn"
  version="1.0">

  <xsl:output method = "text"/>

  <xsl:strip-space elements="*"/>

  <xsl:template match="Document">
    <xsl:apply-templates/>
  </xsl:template>

  <xsl:template match="Include[@element]">
    <xsl:apply-templates select="dyn:evaluate(concat('document(@urn)//',@element))"/>
  </xsl:template>

  <xsl:template match="Properties">
    <xsl:apply-templates/>
  </xsl:template>
    
  <xsl:template match="NameValue">
    <xsl:value-of select="Value"/>
  </xsl:template>

</xsl:stylesheet>
